import request from '@/utils/request'

// 查询重点工作项目列表
export function listZdgzxm(query) {
  return request({
    url: '/tcZz/netManage/zdgzxm/list',
    method: 'get',
    params: query
  })
}

// 查询重点工作项目详细
export function getZdgzxm(id) {
  return request({
    url: '/tcZz/netManage/zdgzxm/' + id,
    method: 'get'
  })
}

// 新增重点工作项目
export function addZdgzxm(data) {
  return request({
    url: '/tcZz/netManage/zdgzxm',
    method: 'post',
    data: data
  })
}

// 修改重点工作项目
export function updateZdgzxm(data) {
  return request({
    url: '/tcZz/netManage/zdgzxm',
    method: 'put',
    data: data
  })
}

// 删除重点工作项目
export function delZdgzxm(id) {
  return request({
    url: '/tcZz/netManage/zdgzxm/' + id,
    method: 'delete'
  })
}

// 重点工作项目批量启用禁用
export function updateIsStatus(query) {
  return request({
    url: '/tcZz/netManage/zdgzxm/isStatus',
    method: 'get',
    params: query
  })
}

// 通用导入
export function importExcel(data) {
  return request({
    url: '/tcZz/netManage/zdgzxm/common/importExcel',
    method: 'post',
    data,
    headers: {
      'Content-Type': 'application/x-www-form-urlencoded'
    }
  })
}